com.genesyslab.wfm8.API.service.calendar851

## Class CalTimeOffBidStatusHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar851.CalTimeOffBidStatusHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CalTimeOffBidStatusHolder
      extends java.lang.Object
      implements java.io.Serializable

  Time Off Status Holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgAgentShort>` | `cfgAgent`
    `protected int` | `cfgAgentNSizeIs`
    `protected java.util.List<CfgTimeOffBidPeriodShort>` | `cfgTimeOffBidPeriod`
    `protected int` | `cfgTimeOffBidPeriodNSizeIs`
    `private static long` | `serialVersionUID`
    `protected java.util.List<CalTimeOffBidStatus>` | `timeOffBidStatus`
    `protected int` | `timeOffBidStatusNSizeIs`
    `protected long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalTimeOffBidStatusHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgAgentShort>` | `getCfgAgent()` Gets the value of the cfgAgent property.
    `int` | `getCfgAgentNSizeIs()` Gets the value of the cfgAgentNSizeIs property.
    `java.util.List<CfgTimeOffBidPeriodShort>` | `getCfgTimeOffBidPeriod()` Gets the value of the cfgTimeOffBidPeriod property.
    `int` | `getCfgTimeOffBidPeriodNSizeIs()` Gets the value of the cfgTimeOffBidPeriodNSizeIs property.
    `java.util.List<CalTimeOffBidStatus>` | `getTimeOffBidStatus()` Gets the value of the timeOffBidStatus property.
    `int` | `getTimeOffBidStatusNSizeIs()` Gets the value of the timeOffBidStatusNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `hashCode()`
    `void` | `setCfgAgent(java.util.List<CfgAgentShort> cfgAgent)` Sets the value of the cfgAgent property.
    `void` | `setCfgAgentNSizeIs(int value)` Sets the value of the cfgAgentNSizeIs property.
    `void` | `setCfgTimeOffBidPeriod(java.util.List<CfgTimeOffBidPeriodShort> cfgTimeOffBidPeriod)` Sets the value of the cfgTimeOffBidPeriod property.
    `void` | `setCfgTimeOffBidPeriodNSizeIs(int value)` Sets the value of the cfgTimeOffBidPeriodNSizeIs property.
    `void` | `setTimeOffBidStatus(java.util.List<CalTimeOffBidStatus> timeOffBidStatus)` Sets the value of the timeOffBidStatus property.
    `void` | `setTimeOffBidStatusNSizeIs(int value)` Sets the value of the timeOffBidStatusNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `java.lang.String` | `toString()`
    `CalTimeOffBidStatusHolder` | `withCfgAgent(CfgAgentShort... values)`
    `CalTimeOffBidStatusHolder` | `withCfgAgent(java.util.Collection<CfgAgentShort> values)`
    `CalTimeOffBidStatusHolder` | `withCfgAgentNSizeIs(int value)`
    `CalTimeOffBidStatusHolder` | `withCfgTimeOffBidPeriod(CfgTimeOffBidPeriodShort... values)`
    `CalTimeOffBidStatusHolder` | `withCfgTimeOffBidPeriod(java.util.Collection<CfgTimeOffBidPeriodShort> values)`
    `CalTimeOffBidStatusHolder` | `withCfgTimeOffBidPeriodNSizeIs(int value)`
    `CalTimeOffBidStatusHolder` | `withTimeOffBidStatus(CalTimeOffBidStatus... values)`
    `CalTimeOffBidStatusHolder` | `withTimeOffBidStatus(java.util.Collection<CalTimeOffBidStatus> values)`
    `CalTimeOffBidStatusHolder` | `withTimeOffBidStatusNSizeIs(int value)`
    `CalTimeOffBidStatusHolder` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### timeOffBidStatusNSizeIs

          protected int timeOffBidStatusNSizeIs

    - #### timeOffBidStatus

          protected java.util.List<CalTimeOffBidStatus> timeOffBidStatus

    - #### cfgAgentNSizeIs

          protected int cfgAgentNSizeIs

    - #### cfgAgent

          protected java.util.List<CfgAgentShort> cfgAgent

    - #### cfgTimeOffBidPeriodNSizeIs

          protected int cfgTimeOffBidPeriodNSizeIs

    - #### cfgTimeOffBidPeriod

          protected java.util.List<CfgTimeOffBidPeriodShort> cfgTimeOffBidPeriod

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### CalTimeOffBidStatusHolder

          public CalTimeOffBidStatusHolder()

  - ### Method Detail

    - #### getTimeOffBidStatusNSizeIs

          public int getTimeOffBidStatusNSizeIs()

      Gets the value of the timeOffBidStatusNSizeIs property.

    - #### setTimeOffBidStatusNSizeIs

          public void setTimeOffBidStatusNSizeIs(int value)

      Sets the value of the timeOffBidStatusNSizeIs property.

    - #### getTimeOffBidStatus

          public java.util.List<CalTimeOffBidStatus> getTimeOffBidStatus()

      Gets the value of the timeOffBidStatus property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the timeOffBidStatus property.

      For example, to add a new item, do as follows:

              getTimeOffBidStatus().add(newItem);

      Objects of the following type(s) are allowed in the list `CalTimeOffBidStatus`

    - #### getCfgAgentNSizeIs

          public int getCfgAgentNSizeIs()

      Gets the value of the cfgAgentNSizeIs property.

    - #### setCfgAgentNSizeIs

          public void setCfgAgentNSizeIs(int value)

      Sets the value of the cfgAgentNSizeIs property.

    - #### getCfgAgent

          public java.util.List<CfgAgentShort> getCfgAgent()

      Gets the value of the cfgAgent property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cfgAgent property.

      For example, to add a new item, do as follows:

              getCfgAgent().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAgentShort`

    - #### getCfgTimeOffBidPeriodNSizeIs

          public int getCfgTimeOffBidPeriodNSizeIs()

      Gets the value of the cfgTimeOffBidPeriodNSizeIs property.

    - #### setCfgTimeOffBidPeriodNSizeIs

          public void setCfgTimeOffBidPeriodNSizeIs(int value)

      Sets the value of the cfgTimeOffBidPeriodNSizeIs property.

    - #### getCfgTimeOffBidPeriod

          public java.util.List<CfgTimeOffBidPeriodShort> getCfgTimeOffBidPeriod()

      Gets the value of the cfgTimeOffBidPeriod property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cfgTimeOffBidPeriod property.

      For example, to add a new item, do as follows:

              getCfgTimeOffBidPeriod().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgTimeOffBidPeriodShort`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withTimeOffBidStatusNSizeIs

          public CalTimeOffBidStatusHolder withTimeOffBidStatusNSizeIs(int value)

    - #### withTimeOffBidStatus

          public CalTimeOffBidStatusHolder withTimeOffBidStatus(CalTimeOffBidStatus... values)

    - #### withTimeOffBidStatus

          public CalTimeOffBidStatusHolder withTimeOffBidStatus(java.util.Collection<CalTimeOffBidStatus> values)

    - #### withCfgAgentNSizeIs

          public CalTimeOffBidStatusHolder withCfgAgentNSizeIs(int value)

    - #### withCfgAgent

          public CalTimeOffBidStatusHolder withCfgAgent(CfgAgentShort... values)

    - #### withCfgAgent

          public CalTimeOffBidStatusHolder withCfgAgent(java.util.Collection<CfgAgentShort> values)

    - #### withCfgTimeOffBidPeriodNSizeIs

          public CalTimeOffBidStatusHolder withCfgTimeOffBidPeriodNSizeIs(int value)

    - #### withCfgTimeOffBidPeriod

          public CalTimeOffBidStatusHolder withCfgTimeOffBidPeriod(CfgTimeOffBidPeriodShort... values)

    - #### withCfgTimeOffBidPeriod

          public CalTimeOffBidStatusHolder withCfgTimeOffBidPeriod(java.util.Collection<CfgTimeOffBidPeriodShort> values)

    - #### withTimestamp

          public CalTimeOffBidStatusHolder withTimestamp(long value)

    - #### setTimeOffBidStatus

          public void setTimeOffBidStatus(java.util.List<CalTimeOffBidStatus> timeOffBidStatus)

      Sets the value of the timeOffBidStatus property.
      Parameters:
        `timeOffBidStatus` - allowed object is `CalTimeOffBidStatus`

    - #### setCfgAgent

          public void setCfgAgent(java.util.List<CfgAgentShort> cfgAgent)

      Sets the value of the cfgAgent property.
      Parameters:
        `cfgAgent` - allowed object is `CfgAgentShort`

    - #### setCfgTimeOffBidPeriod

          public void setCfgTimeOffBidPeriod(java.util.List<CfgTimeOffBidPeriodShort> cfgTimeOffBidPeriod)

      Sets the value of the cfgTimeOffBidPeriod property.
      Parameters:
        `cfgTimeOffBidPeriod` - allowed object is `CfgTimeOffBidPeriodShort`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.